## Retrieve a list of all slots matching the specified parameters `client.networkInterconnects.slots.list(SlotListParamsparams, RequestOptionsoptions?): SlotListResponse` **get** `/accounts/{account_id}/cni/slots` Retrieve a list of all slots matching the specified parameters ### Parameters - `params: SlotListParams` - `account_id: string` Path param: Customer account tag - `address_contains?: string | null` Query param: If specified, only show slots with the given text in their address field - `cursor?: number | null` Query param - `limit?: number | null` Query param - `occupied?: boolean | null` Query param: If specified, only show slots with a specific occupied/unoccupied state - `site?: string | null` Query param: If specified, only show slots located at the given site - `speed?: string | null` Query param: If specified, only show slots that support the given speed ### Returns - `SlotListResponse` - `items: Array` - `id: string` Slot ID - `facility: Facility` - `address: Array` - `name: string` - `occupied: boolean` Whether the slot is occupied or not - `site: string` - `speed: string` - `account?: string` Customer account tag - `next?: number | null` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const slots = await client.networkInterconnects.slots.list({ account_id: 'account_id' }); console.log(slots.items); ``` #### Response ```json { "items": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "facility": { "address": [ "string" ], "name": "name" }, "occupied": true, "site": "site", "speed": "speed", "account": "account" } ], "next": 0 } ```